export declare enum ValidatorStatus {
    Success = "success",
    Error = "error",
    Warning = "warning",
    Validating = "validating",
    Skip = "skip"
}
export interface ValidatorInfo {
    message?: string;
    status?: ValidatorStatus;
    path: string;
    displayName?: string;
    children?: ValidatorInfo[];
}
export declare function isValidatorSuccess(info: ValidatorInfo): boolean;
export declare function isValidatorLikeSuccess(info: ValidatorInfo): boolean;
export declare function isValidatorError(info: ValidatorInfo): boolean;
export declare function isValidatorWarning(info: ValidatorInfo): boolean;
export declare function isValidatorValidating(info: ValidatorInfo): boolean;
export declare function isValidatorSkip(info: ValidatorInfo): boolean;
